All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
output.h File Reference

Application interface library for the ALSA driver. More...

Go to the source code of this file.

## Typedefs

typedef struct _snd_output | snd_output_t
| Internal structure for an output object. More...

## Enumerations

enum | snd_output_type_t { SND_OUTPUT_STDIO, SND_OUTPUT_BUFFER }

## Functions

int | snd_output_stdio_open (snd_output_t **outputp, const char *file, const char *mode)
| Creates a new output object writing to a file. More...
int | snd_output_stdio_attach (snd_output_t **outputp, FILE *fp, int _close)
| Creates a new output object using an existing stdio `FILE` pointer. More...
int | snd_output_buffer_open (snd_output_t **outputp)
| Creates a new output object with an auto-extending memory buffer. More...
size_t | snd_output_buffer_string (snd_output_t *output, char **buf)
| Returns the address of the buffer of a SND_OUTPUT_BUFFER output handle. More...
int | snd_output_close (snd_output_t *output)
| Closes an output handle. More...
int | snd_output_printf (snd_output_t *output, const char *format,...)
| Writes formatted output (like `fprintf(3)`) to an output handle. More...
int | snd_output_vprintf (snd_output_t *output, const char *format, va_list args)
| Writes formatted output (like `fprintf(3)`) to an output handle. More...
int | snd_output_puts (snd_output_t *output, const char *str)
| Writes a string to an output handle (like `fputs(3)`). More...
int | snd_output_putc (snd_output_t *output, int c)
| Writes a character to an output handle (like `putc(3)`). More...
int | snd_output_flush (snd_output_t *output)
| Flushes an output handle (like fflush(3)). More...

## Detailed Description

Application interface library for the ALSA driver.

Author
  Jaroslav Kysela perex.nosp@m.@per.nosp@m.ex.cz
  Abramo Bagnara abram.nosp@m.o@al.nosp@m.sa-pr.nosp@m.ojec.nosp@m.t.org
  Takashi Iwai tiwai.nosp@m.@sus.nosp@m.e.de

Date
  1998-2001

Application interface library for the ALSA driver